openapi: 3.0.3
info:
  title: 'Laravel API Documentation'
  description: ''
  version: 1.0.0
servers:
  -
    url: 'https://flex-home.botble.com'
tags:
  -
    name: Ads
    description: ''
  -
    name: Languages
    description: ''
paths:
  /api/v1/ads:
    get:
      summary: 'Get ads'
      operationId: getAds
      description: ''
      parameters:
        -
          in: query
          name: keys
          description: 'Array of ad keys to filter by.'
          example:
            - homepage-banner
            - sidebar-banner
          required: false
          schema:
            type: array
            description: 'Array of ad keys to filter by.'
            example:
              - homepage-banner
              - sidebar-banner
            items:
              type: string
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: false
                  data: []
                  message: null
                properties:
                  error:
                    type: boolean
                    example: false
                  data:
                    type: array
                    example: []
                  message:
                    type: string
                    example: null
      tags:
        - Ads
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                keys:
                  type: array
                  description: 'Array of ad keys to filter by.'
                  example:
                    - homepage-banner
                    - sidebar-banner
                  items:
                    type: string
      security: []
  /api/v1/languages:
    get:
      summary: 'Get list of available languages'
      operationId: getListOfAvailableLanguages
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: false
                  data:
                    -
                      lang_id: 1
                      lang_name: English
                      lang_locale: en
                      lang_code: en_US
                      lang_flag: us
                      lang_is_default: true
                      lang_is_rtl: false
                      lang_order: 0
                    -
                      lang_id: 2
                      lang_name: Vietnamese
                      lang_locale: vi
                      lang_code: vi
                      lang_flag: vn
                      lang_is_default: false
                      lang_is_rtl: false
                      lang_order: 1
                  message: null
                properties:
                  error:
                    type: boolean
                    example: false
                  data:
                    type: array
                    example:
                      -
                        lang_id: 1
                        lang_name: English
                        lang_locale: en
                        lang_code: en_US
                        lang_flag: us
                        lang_is_default: true
                        lang_is_rtl: false
                        lang_order: 0
                      -
                        lang_id: 2
                        lang_name: Vietnamese
                        lang_locale: vi
                        lang_code: vi
                        lang_flag: vn
                        lang_is_default: false
                        lang_is_rtl: false
                        lang_order: 1
                    items:
                      type: object
                      properties:
                        lang_id:
                          type: integer
                          example: 1
                        lang_name:
                          type: string
                          example: English
                        lang_locale:
                          type: string
                          example: en
                        lang_code:
                          type: string
                          example: en_US
                        lang_flag:
                          type: string
                          example: us
                        lang_is_default:
                          type: boolean
                          example: true
                        lang_is_rtl:
                          type: boolean
                          example: false
                        lang_order:
                          type: integer
                          example: 0
                  message:
                    type: string
                    example: null
      tags:
        - Languages
      security: []
  /api/v1/languages/current:
    get:
      summary: 'Get current language'
      operationId: getCurrentLanguage
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: false
                  data:
                    lang_id: 1
                    lang_name: English
                    lang_locale: en
                    lang_code: en_US
                    lang_flag: us
                    lang_is_default: true
                    lang_is_rtl: false
                    lang_order: 0
                  message: null
                properties:
                  error:
                    type: boolean
                    example: false
                  data:
                    type: object
                    properties:
                      lang_id:
                        type: integer
                        example: 1
                      lang_name:
                        type: string
                        example: English
                      lang_locale:
                        type: string
                        example: en
                      lang_code:
                        type: string
                        example: en_US
                      lang_flag:
                        type: string
                        example: us
                      lang_is_default:
                        type: boolean
                        example: true
                      lang_is_rtl:
                        type: boolean
                        example: false
                      lang_order:
                        type: integer
                        example: 0
                  message:
                    type: string
                    example: null
      tags:
        - Languages
      security: []
